Package Details: python-executor 23.2-1

Git Clone URL: https://aur.archlinux.org/python-executor.git (read-only, click to copy)
Package Base: python-executor
Description: Programmer friendly subprocess wrapper
Upstream URL: https://github.com/xolox/python-executor
Licenses: MIT
Submitter: maikoool
Maintainer: maikoool (djmattyg007)
Last Packager: maikoool
Votes: 1
Popularity: 0.000000
First Submitted: 2016-09-16 14:16
Last Updated: 2020-12-06 16:21

Latest Comments

maikoool commented on 2020-12-10 16:55

Hi, I will not bump it because of the python version update.

While it's very annoying that python updates break everything, "fixing" it by bumping the pkgrel of all packages does not make sense, especially when the PKGBUILD doesn't provide any guarantees about which python version it should be built against.

In my mind it's up to the users of AUR packages to rebuild their packages in these cases, and afaik there's no guidelines on this, so I choose to not bump the pkgrel.

djmattyg007 commented on 2019-11-17 02:02

I'd be happy to step in as a maintainer if you'd like, so that you don't have to worry about bumping the pkgrel every time there's a new version of python. Python updates are going to be coming even faster in future (they recently decided to switch to 12-month release cycles).

djmattyg007 commented on 2019-11-17 01:03

Could you please bump the pkgrel to force a rebuild for python3.8?

djmattyg007 commented on 2017-01-07 10:21

Could you also bump the pkgrel to force a rebuild for python3.6

djmattyg007 commented on 2016-12-30 02:51

python-setuptools should be marked as a make dependency of this package.

djmattyg007 commented on 2016-10-05 11:32

Thank you for packaging this!